#!/usr/bin/env python
import rospy
from geometry_msgs.msg import Twist
from nav_msgs.msg import Odometry

rospy.init_node('Navigation', anonymous=True)

msg = Twist()
pub = rospy.Publisher("/cmd_vel",Twist,queue_size=1,latch=True)

msg.linear.x =0.7
msg.linear.y =0.
msg.linear.z =0.

msg.angular.x = 0.
msg.angular.y = 0.
msg.angular.z = 0.7

rate = rospy.Rate(10) # 10hz

while pub.get_num_connections() == 0:
    rate.sleep()
pub.publish(msg)

